From: "Marek Szuba" <marecki@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-analyzer/nmap/
Date: Sun, 27 Dec 2020 00:05:42 +0000 (UTC) [thread overview]
Message-ID: <1609027532.4b3b89a166b295db16dcbee179bae41eefd8c324.marecki@gentoo> (raw)
commit: 4b3b89a166b295db16dcbee179bae41eefd8c324
Author: Marek Szuba <marecki <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 27 00:00:44 2020 +0000
Commit: Marek Szuba <marecki <AT> gentoo <DOT> org>
CommitDate: Sun Dec 27 00:05:32 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4b3b89a1
net-analyzer/nmap: migrate to lua-single.eclass
The live ebuild, the latest release currently in the tree and the latest
release available under the GPL. In all three cases, upstream build
scripts require version 5.3 of Lua and while they do not use pkgconfig,
they check for versioned files/directories first.
IUSE=system-lua is still there but defaults to enabled now.
Bug: https://bugs.gentoo.org/253269
Closes: https://bugs.gentoo.org/752774
Signed-off-by: Marek Szuba <marecki <AT> gentoo.org>
.../nmap/{nmap-9999.ebuild => nmap-7.80-r2.ebuild} | 54 ++++++++++++++++------
.../nmap/{nmap-9999.ebuild => nmap-7.91-r1.ebuild} | 23 +++++----
net-analyzer/nmap/nmap-9999.ebuild | 18 ++++++--
3 files changed, 69 insertions(+), 26 deletions(-)
diff --git a/net-analyzer/nmap/nmap-9999.ebuild b/net-analyzer/nmap/nmap-7.80-r2.ebuild
similarity index 62%
copy from net-analyzer/nmap/nmap-9999.ebuild
copy to net-analyzer/nmap/nmap-7.80-r2.ebuild
index 00bb4385aaa..7b40515497d 100644
--- a/net-analyzer/nmap/nmap-9999.ebuild
+++ b/net-analyzer/nmap/nmap-7.80-r2.ebuild
@@ -2,17 +2,21 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-inherit autotools flag-o-matic git-r3 toolchain-funcs
+
+LUA_COMPAT=( lua5-3 )
+LUA_REQ_USE="deprecated"
+
+inherit autotools desktop flag-o-matic lua-single toolchain-funcs
DESCRIPTION="Network exploration tool and security / port scanner"
HOMEPAGE="https://nmap.org/"
+SRC_URI="https://nmap.org/dist/${P}.tar.bz2"
-EGIT_REPO_URI="https://github.com/nmap/nmap"
-
-LICENSE="NPSL"
+LICENSE="GPL-2"
SLOT="0"
-IUSE="ipv6 libressl libssh2 ncat nping +nse ssl system-lua"
-REQUIRED_USE="system-lua? ( nse )"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="ipv6 libressl libssh2 ncat nmap-update nping +nse ssl +system-lua"
+REQUIRED_USE="system-lua? ( nse ${LUA_REQUIRED_USE} )"
RDEPEND="
dev-libs/liblinear:=
@@ -22,12 +26,16 @@ RDEPEND="
net-libs/libssh2[zlib]
sys-libs/zlib
)
+ nmap-update? (
+ dev-libs/apr
+ dev-vcs/subversion
+ )
nse? ( sys-libs/zlib )
ssl? (
!libressl? ( dev-libs/openssl:0= )
libressl? ( dev-libs/libressl:= )
)
- system-lua? ( >=dev-lang/lua-5.2:*[deprecated] )
+ system-lua? ( ${LUA_DEPS} )
"
DEPEND="${RDEPEND}"
@@ -36,14 +44,17 @@ PATCHES=(
"${FILESDIR}"/${PN}-5.21-python.patch
"${FILESDIR}"/${PN}-6.46-uninstaller.patch
"${FILESDIR}"/${PN}-6.25-liblua-ar.patch
+ "${FILESDIR}"/${PN}-7.25-no-FORTIFY_SOURCE.patch
"${FILESDIR}"/${PN}-7.25-CXXFLAGS.patch
"${FILESDIR}"/${PN}-7.25-libpcre.patch
"${FILESDIR}"/${PN}-7.31-libnl.patch
"${FILESDIR}"/${PN}-7.80-ac-config-subdirs.patch
- "${FILESDIR}"/${PN}-7.91-no-FORTIFY_SOURCE.patch
- "${FILESDIR}"/${PN}-9999-netutil-else.patch
)
+pkg_setup() {
+ use system-lua && lua-single_pkg_setup
+}
+
src_prepare() {
rm -r liblinear/ libpcap/ libpcre/ libssh2/ libz/ || die
@@ -54,6 +65,11 @@ src_prepare() {
sed -i \
-e '/^ALL_LINGUAS =/{s|$| id|g;s|jp|ja|g}' \
Makefile.in || die
+ # Fix desktop files wrt bug #432714
+ sed -i \
+ -e 's|^Categories=.*|Categories=Network;System;Security;|g' \
+ zenmap/install_scripts/unix/zenmap-root.desktop \
+ zenmap/install_scripts/unix/zenmap.desktop || die
cp libdnet-stripped/include/config.h.in{,.nmap-orig} || die
@@ -72,22 +88,26 @@ src_configure() {
$(use_enable ipv6) \
$(use_with libssh2) \
$(use_with ncat) \
+ --without-ndiff \
+ $(use_with nmap-update) \
$(use_with nping) \
$(use_with ssl openssl) \
+ --without-zenmap \
$(usex libssh2 --with-zlib) \
- $(usex nse --with-liblua=$(usex system-lua /usr included '' '') --without-liblua) \
$(usex nse --with-zlib) \
+ $(usex nse --with-liblua=$(usex system-lua yes included '' '') --without-liblua) \
--cache-file="${S}"/config.cache \
--with-libdnet=included \
- --with-pcre=/usr \
- --without-ndiff \
- --without-zenmap
+ --with-pcre=/usr
+ # Commented out because configure does weird things
+ # --with-liblinear=/usr \
}
src_compile() {
local directory
for directory in . libnetutil nsock/src \
$(usex ncat ncat '') \
+ $(usex nmap-update nmap-update '') \
$(usex nping nping '')
do
emake -C "${directory}" makefile.dep
@@ -104,6 +124,14 @@ src_install() {
STRIP=: \
nmapdatadir="${EPREFIX}"/usr/share/nmap \
install
+ if use nmap-update;then
+ LC_ALL=C emake -j1 \
+ -C nmap-update \
+ DESTDIR="${D}" \
+ STRIP=: \
+ nmapdatadir="${EPREFIX}"/usr/share/nmap \
+ install
+ fi
dodoc CHANGELOG HACKING docs/README docs/*.txt
}
diff --git a/net-analyzer/nmap/nmap-9999.ebuild b/net-analyzer/nmap/nmap-7.91-r1.ebuild
similarity index 79%
copy from net-analyzer/nmap/nmap-9999.ebuild
copy to net-analyzer/nmap/nmap-7.91-r1.ebuild
index 00bb4385aaa..3b611d01445 100644
--- a/net-analyzer/nmap/nmap-9999.ebuild
+++ b/net-analyzer/nmap/nmap-7.91-r1.ebuild
@@ -2,17 +2,21 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-inherit autotools flag-o-matic git-r3 toolchain-funcs
+
+LUA_COMPAT=( lua5-3 )
+LUA_REQ_USE="deprecated"
+
+inherit autotools flag-o-matic lua-single toolchain-funcs
DESCRIPTION="Network exploration tool and security / port scanner"
HOMEPAGE="https://nmap.org/"
-
-EGIT_REPO_URI="https://github.com/nmap/nmap"
+SRC_URI="https://nmap.org/dist/${P}.tar.bz2"
LICENSE="NPSL"
SLOT="0"
-IUSE="ipv6 libressl libssh2 ncat nping +nse ssl system-lua"
-REQUIRED_USE="system-lua? ( nse )"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="ipv6 libressl libssh2 ncat nping +nse ssl +system-lua"
+REQUIRED_USE="system-lua? ( nse ${LUA_REQUIRED_USE} )"
RDEPEND="
dev-libs/liblinear:=
@@ -27,7 +31,7 @@ RDEPEND="
!libressl? ( dev-libs/openssl:0= )
libressl? ( dev-libs/libressl:= )
)
- system-lua? ( >=dev-lang/lua-5.2:*[deprecated] )
+ system-lua? ( ${LUA_DEPS} )
"
DEPEND="${RDEPEND}"
@@ -41,9 +45,12 @@ PATCHES=(
"${FILESDIR}"/${PN}-7.31-libnl.patch
"${FILESDIR}"/${PN}-7.80-ac-config-subdirs.patch
"${FILESDIR}"/${PN}-7.91-no-FORTIFY_SOURCE.patch
- "${FILESDIR}"/${PN}-9999-netutil-else.patch
)
+pkg_setup() {
+ use system-lua && lua-single_pkg_setup
+}
+
src_prepare() {
rm -r liblinear/ libpcap/ libpcre/ libssh2/ libz/ || die
@@ -75,7 +82,7 @@ src_configure() {
$(use_with nping) \
$(use_with ssl openssl) \
$(usex libssh2 --with-zlib) \
- $(usex nse --with-liblua=$(usex system-lua /usr included '' '') --without-liblua) \
+ $(usex nse --with-liblua=$(usex system-lua yes included '' '') --without-liblua) \
$(usex nse --with-zlib) \
--cache-file="${S}"/config.cache \
--with-libdnet=included \
diff --git a/net-analyzer/nmap/nmap-9999.ebuild b/net-analyzer/nmap/nmap-9999.ebuild
index 00bb4385aaa..782f91bf13e 100644
--- a/net-analyzer/nmap/nmap-9999.ebuild
+++ b/net-analyzer/nmap/nmap-9999.ebuild
@@ -2,7 +2,11 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-inherit autotools flag-o-matic git-r3 toolchain-funcs
+
+LUA_COMPAT=( lua5-3 )
+LUA_REQ_USE="deprecated"
+
+inherit autotools flag-o-matic git-r3 lua-single toolchain-funcs
DESCRIPTION="Network exploration tool and security / port scanner"
HOMEPAGE="https://nmap.org/"
@@ -11,8 +15,8 @@ EGIT_REPO_URI="https://github.com/nmap/nmap"
LICENSE="NPSL"
SLOT="0"
-IUSE="ipv6 libressl libssh2 ncat nping +nse ssl system-lua"
-REQUIRED_USE="system-lua? ( nse )"
+IUSE="ipv6 libressl libssh2 ncat nping +nse ssl +system-lua"
+REQUIRED_USE="system-lua? ( nse ${LUA_REQUIRED_USE} )"
RDEPEND="
dev-libs/liblinear:=
@@ -27,7 +31,7 @@ RDEPEND="
!libressl? ( dev-libs/openssl:0= )
libressl? ( dev-libs/libressl:= )
)
- system-lua? ( >=dev-lang/lua-5.2:*[deprecated] )
+ system-lua? ( ${LUA_DEPS} )
"
DEPEND="${RDEPEND}"
@@ -44,6 +48,10 @@ PATCHES=(
"${FILESDIR}"/${PN}-9999-netutil-else.patch
)
+pkg_setup() {
+ use system-lua && lua-single_pkg_setup
+}
+
src_prepare() {
rm -r liblinear/ libpcap/ libpcre/ libssh2/ libz/ || die
@@ -75,7 +83,7 @@ src_configure() {
$(use_with nping) \
$(use_with ssl openssl) \
$(usex libssh2 --with-zlib) \
- $(usex nse --with-liblua=$(usex system-lua /usr included '' '') --without-liblua) \
+ $(usex nse --with-liblua=$(usex system-lua yes included '' '') --without-liblua) \
$(usex nse --with-zlib) \
--cache-file="${S}"/config.cache \
--with-libdnet=included \
next reply other threads:[~2020-12-27 0:05 UTC|newest]
Thread overview: 184+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-12-27 0:05 Marek Szuba [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-03 9:24 [gentoo-commits] repo/gentoo:master commit in: net-analyzer/nmap/ Sam James
2024-09-01 9:04 Sam James
2024-05-10 23:07 Sam James
2024-05-10 23:07 Sam James
2024-05-10 23:07 Sam James
2024-05-10 23:07 Sam James
2024-05-10 23:07 Sam James
2024-05-10 23:07 Sam James
2024-05-10 23:07 Sam James
2024-04-30 6:42 Sam James
2024-04-30 6:42 Sam James
2024-04-30 6:42 Sam James
2024-04-30 6:42 Sam James
2024-04-30 6:42 Sam James
2024-04-30 6:42 Sam James
2024-04-30 6:42 Sam James
2024-04-30 4:38 Sam James
2023-07-06 5:59 Sam James
2023-06-25 7:05 Sam James
2023-06-25 7:05 Sam James
2023-06-25 7:05 Sam James
2023-06-25 7:05 Sam James
2023-06-25 7:05 Sam James
2023-06-25 7:05 Sam James
2023-06-25 7:05 Sam James
2023-05-21 19:41 Sam James
2023-05-21 19:35 Sam James
2023-05-21 18:36 Sam James
2023-04-02 21:57 Sam James
2023-01-12 17:18 Ulrich Müller
2023-01-10 8:36 Sam James
2023-01-10 8:34 Sam James
2023-01-10 8:34 Sam James
2022-12-16 4:03 Sam James
2022-10-28 19:53 Sam James
2022-10-11 6:48 Agostino Sarubbo
2022-10-11 6:47 Agostino Sarubbo
2022-10-11 6:46 Agostino Sarubbo
2022-10-11 6:45 Agostino Sarubbo
2022-10-11 6:44 Agostino Sarubbo
2022-10-11 6:43 Agostino Sarubbo
2022-10-11 6:41 Agostino Sarubbo
2022-09-04 23:56 Sam James
2022-09-03 3:49 Sam James
2022-07-19 15:09 Sam James
2022-07-14 11:06 Sam James
2022-04-17 17:22 Sam James
2022-03-20 18:43 Sam James
2022-01-22 4:42 Sam James
2021-11-19 8:34 Sam James
2021-09-27 14:53 Marek Szuba
2021-09-14 5:17 Sam James
2021-09-14 5:15 Sam James
2021-09-14 5:15 Sam James
2021-09-12 23:01 Sam James
2021-09-12 23:01 Sam James
2021-09-12 23:00 Sam James
2021-09-12 23:00 Sam James
2021-08-09 3:47 Sam James
2021-07-31 13:40 Michał Górny
2021-04-29 18:28 Mikle Kolyada
2021-04-23 13:34 Sam James
2021-04-16 4:47 Sam James
2021-04-16 0:40 Sam James
2021-04-13 16:05 Sam James
2021-04-13 16:05 Sam James
2021-04-13 16:05 Sam James
2021-04-13 16:05 Sam James
2021-04-13 16:03 Sam James
2021-04-03 15:57 Sam James
2021-03-11 18:15 Sam James
2021-03-06 20:35 Ulrich Müller
2021-03-04 4:58 Sam James
2021-02-18 8:22 Sam James
2021-02-18 8:22 Sam James
2021-02-16 12:34 Sam James
2021-02-16 12:34 Sam James
2021-02-14 2:10 Sam James
2021-02-14 2:10 Sam James
2021-02-05 12:31 Sam James
2021-02-05 12:31 Sam James
2021-02-05 10:40 Sam James
2021-02-05 10:40 Sam James
2021-02-05 6:36 Sam James
2021-02-05 6:36 Sam James
2021-02-05 6:34 Sam James
2021-02-05 6:34 Sam James
2021-01-25 22:23 Mikle Kolyada
2021-01-06 14:35 Fabian Groffen
2020-11-25 7:44 Agostino Sarubbo
2020-11-24 14:40 Sam James
2020-11-24 12:57 Agostino Sarubbo
2020-11-24 12:56 Agostino Sarubbo
2020-11-24 12:55 Agostino Sarubbo
2020-11-24 12:54 Agostino Sarubbo
2020-11-24 3:16 Sam James
2020-11-04 11:41 Andreas K. Hüttel
2020-11-04 7:29 Sam James
2020-11-04 0:44 Sam James
2020-10-15 9:53 Jeroen Roovers
2020-10-15 9:53 Jeroen Roovers
2020-10-04 6:58 Jeroen Roovers
2020-05-22 11:38 Andreas Sturmlechner
2020-05-22 10:51 Andreas Sturmlechner
2020-03-25 19:15 Thomas Deutschmann
2020-03-17 18:00 Sergei Trofimovich
2020-03-15 18:41 Agostino Sarubbo
2020-03-15 18:37 Agostino Sarubbo
2020-03-15 18:34 Agostino Sarubbo
2020-03-15 18:31 Agostino Sarubbo
2020-03-15 18:29 Agostino Sarubbo
2020-03-15 18:27 Agostino Sarubbo
2020-03-15 18:26 Agostino Sarubbo
2019-09-18 8:31 Fabian Groffen
2019-08-10 22:40 Jeroen Roovers
2019-05-31 13:00 Jeroen Roovers
2018-04-15 8:21 Jeroen Roovers
2018-04-14 11:40 Markus Meier
2018-04-08 4:58 Matt Turner
2018-04-08 4:58 Matt Turner
2018-04-01 10:00 Tobias Klausmann
2018-03-22 23:01 Sergei Trofimovich
2018-03-22 22:25 Sergei Trofimovich
2018-03-22 16:08 Jeroen Roovers
2018-03-22 14:25 Mikle Kolyada
2018-03-21 21:00 Jeroen Roovers
2018-03-21 21:00 Jeroen Roovers
2018-01-08 13:58 Ulrich Müller
2018-01-06 18:32 Ulrich Müller
2017-08-26 9:00 Jeroen Roovers
2017-08-08 12:18 Jeroen Roovers
2017-08-08 12:17 Jeroen Roovers
2017-06-20 11:58 Jeroen Roovers
2017-06-11 11:49 Jeroen Roovers
2017-06-10 15:10 Agostino Sarubbo
2017-03-25 10:08 Jeroen Roovers
2017-03-21 12:31 Michael Weber
2017-03-17 10:42 Agostino Sarubbo
2017-03-17 10:15 Agostino Sarubbo
2017-03-17 7:08 Jeroen Roovers
2017-02-10 17:40 Michael Weber
2017-01-23 17:15 Richard Farina
2017-01-22 16:48 Jeroen Roovers
2017-01-22 16:43 Jeroen Roovers
2017-01-21 11:04 Jeroen Roovers
2017-01-06 14:33 Tobias Klausmann
2017-01-04 17:09 Agostino Sarubbo
2017-01-04 16:56 Agostino Sarubbo
2017-01-03 14:09 Fabian Groffen
2016-12-23 21:09 Jeroen Roovers
2016-10-22 9:58 Jeroen Roovers
2016-09-30 9:15 Jeroen Roovers
2016-09-09 5:02 Jeroen Roovers
2016-09-03 10:56 Jeroen Roovers
2016-07-27 15:57 Jeroen Roovers
2016-07-22 5:47 Jeroen Roovers
2016-07-04 11:45 Jeroen Roovers
2016-06-30 19:24 Jeroen Roovers
2016-06-01 10:46 Tobias Klausmann
2016-05-31 19:19 Markus Meier
2016-04-07 11:41 Jeroen Roovers
2016-03-24 5:33 Jeroen Roovers
2016-03-19 7:23 Jeroen Roovers
2016-03-04 2:16 Stephen Klimaszewski
2016-02-04 20:24 Tobias Klausmann
2016-01-09 16:08 Markus Meier
2015-12-27 9:30 Mikle Kolyada
2015-12-26 10:06 Jeroen Roovers
2015-12-25 19:42 Mikle Kolyada
2015-12-25 15:55 Agostino Sarubbo
2015-12-25 15:02 Jeroen Roovers
2015-12-24 12:50 Jeroen Roovers
2015-12-16 8:15 Jeroen Roovers
2015-11-24 6:05 Jeroen Roovers
2015-11-24 6:05 Jeroen Roovers
2015-11-14 9:55 Jeroen Roovers
2015-11-14 8:56 Jeroen Roovers
2015-11-14 8:07 Jeroen Roovers
2015-11-14 8:07 Jeroen Roovers
2015-10-27 3:46 Jeroen Roovers
2015-10-16 4:38 Jeroen Roovers
2015-10-05 9:08 Julian Ospald
2015-09-29 9:09 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1609027532.4b3b89a166b295db16dcbee179bae41eefd8c324.marecki@gentoo \
--to=marecki@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox